#
# spec file for package rxp (Version 1.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         rxp
Copyright:    GPL
Group:      Utilities/Text
Provides:     rxp 
Autoreqprov:  on
Summary:      XML parser in C
Version:      1.2
Release:      131
Source:      ftp://ftp.cogsci.ed.ac.uk/pub/richard/rxp-%{version}.tar.gz
#Patch:     
BuildRoot:  /var/tmp/rxp-root
URL: http://www.cogsci.ed.ac.uk/~richard/rxp.html

%description
From the RELNOTES:
[...] a validating namespace-aware XML parser in C.
RXP was written by Richard Tobin at the Language Technology Group,
Human Communication Research Centre, University of Edinburgh.
RXP is distributed under the GNU Public Licence, which is in the file
COPYING.  RXP may be made available under other licensing terms;
contact M.Moens@ed.ac.uk for details.
RXP is based on the W3C XML 1.0 recommendation of 10th February 1998
and the Namespaces recommendation of 14th January 1999.  Deviations
from these recommendations should probably be considered as bugs.
There is currently only minimal documentation.  There is a manual page
for the rxp program, and a hastily-written file called "Manual" which
describes the public functions and data structures.  The file "Threads"
contains some notes about use in a threaded environment.
[...]
A simple application (called rxp) is provided that parses and writes
XML data, optionally expanding entities, defaulting attributes, and
translating to a different output encoding.
There is an RXP web page at
http://www.cogsci.ed.ac.uk/~richard/rxp.html
Bug reports should be sent to richard@cogsci.ed.ac.uk.

Authors:
--------
    Richard Tobin <richard@cogsci.ed.ac.uk>

SuSE series: sgm

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -n $RPM_PACKAGE_NAME-$RPM_PACKAGE_VERSION
# %patch

%build
# --enable-multi-byte
# (cd XML && ./configure --prefix=/usr)
mv Makefile Makefile.orig
sed -e 's/^LIBS:/\#LIBS:/' Makefile.orig > Makefile
make "DEBUG=$RPM_OPT_FLAGS" LDFLAGS=-s  # CHAR_SIZE=8

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/bin
%{INSTALL_DIR} $RPM_BUILD_ROOT%{_mandir}/man1
%{INSTALL} rxp $RPM_BUILD_ROOT/usr/bin
%{INSTALL} rxp.1 $RPM_BUILD_ROOT%{_mandir}/man1
# make install prefix=$RPM_BUILD_ROOT/usr
# make install.man

%clean
# rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc RELNOTES COPYRIGHT COPYING Manual Threads
/usr/bin/*
%{_mandir}/man1/*

%changelog -n rxp
* Fri Sep 29 2000 - ke@suse.de
- Update to version 1.2.
- Use _mandir macro.
* Thu Feb 24 2000 - ke@suse.de
- General spec file cleanup:
- Add group tag.
- Move manpage -> /usr/share.
- Move suse_chekc to the end of %%install.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jun 10 1999 - ke@suse.de
- initial package: version 1.0.7
